# Activiti API Doclet

This library provides a Javadoc Doclet for the generation of Activiti API documentation.  You can use it by defining a Javadoc plugin in your Activiti extension Maven JAR project.  That plugin should be configured to use this doclet.  See the snippet below.

```xml
<profile>
	<id>apidocs</id>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-javadoc-plugin</artifactId>
				<version>3.4.1</version>
				<executions>
					<execution>
						<id>generate-doclet</id>
						<phase>generate-resources</phase>
						<goals><goal>javadoc</goal></goals>
						<configuration>
							<doclet>com.inteligr8.activiti.doclet.ActivitiDoclet</doclet>
							<docletArtifact>
								<groupId>com.inteligr8.activiti</groupId>
								<artifactId>activiti-api-doclet</artifactId>
								<version>1.0.4</version>
							</docletArtifact>
							<useStandardDocletOptions>false</useStandardDocletOptions>
							<destDir>apidocs</destDir>
							<reportOutputDirectory>${basedir}</reportOutputDirectory>
							<additionalOptions>
								<additionalOption>--title 'API Documentation'</additionalOption>
								<additionalOption>--apiName '${project.name}</additionalOption>
							</additionalOptions>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
</profile>
```

You can generate the docs with the following command:

```
mvn -Papidocs generate-resources
```

The documentation will be placed in `<reportOutputDirectory>/<destDir>`.
